<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>_auth</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module _auth</h1>
<hr />
  <h2 class="toc">Functions</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#apply_credentials"
     >apply_credentials</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#authorized_http"
     >authorized_http</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#credentials_from_file"
     >credentials_from_file</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#default_credentials"
     >default_credentials</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#get_credentials_from_http"
     >get_credentials_from_http</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#is_valid"
     >is_valid</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#refresh_credentials"
     >refresh_credentials</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#with_scopes"
     >with_scopes</a><br />  </div>
  <h2 class="toc">Variables</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#HAS_GOOGLE_AUTH"
     >HAS_GOOGLE_AUTH</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#HAS_OAUTH2CLIENT"
     >HAS_OAUTH2CLIENT</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#__package__"
     >__package__</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient._auth-module.html#google_auth_httplib2"
     >google_auth_httplib2</a><br />  </div>
<hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
